function fish_prompt
    set -l status_copy $status

    set -l host (hostname -s)
    if set -q DEVCONTAINER
        set host (ls /workspaces | head -n 1)
        if test -z "$host"
            set host DEV
        end
    end
    set_color (echo "$host" | md5sum | cut -c-6)
    echo -sn $host

    set_color yellow
    echo -sn ':'

    set_color normal
    echo -sn (prompt_pwd)

    if test "$status_copy" -ne 0
        set_color red
    else
        set_color green
    end
    echo -sn ' > '
end